/* yaf-splash - Yet another fine splash program for X.
 * Copyright (c) 2002, 2003 John Morton
 * 
 * Contains vast gobs of code procured from xdaliclock and xsplash
 * Copyright (c) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2002
 *  Jamie Zawinski <jwz@jwz.org>
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or
 * implied warranty.
 */

#ifdef __STDC__
# include <stdlib.h>
# if defined(unix) || defined(__unix) || defined(UNIX)
#  include <unistd.h>
# endif
#endif

#ifndef isupper
# define isupper(c)  ((c) >= 'A' && (c) <= 'Z')
#endif
#ifndef _tolower
# define _tolower(c)  ((c) - 'A' + 'a')
#endif

#ifndef XtNvisual
# define XtNvisual "visual"
#endif

/* From yaf-splash.c: */
extern char *progname;
extern char *progclass;
extern XrmDatabase db;
extern long countdown;

extern int do_shape;
extern int do_overlay;
extern unsigned long overlay_transparent_pixel;
